Name: bookworm
Version: 1.1.0
%define snapshot_date	20180724
%define snapshot_hash	3f6d5a8d
Release: 0.1.%{snapshot_date}git%{snapshot_hash}%{?dist}
Summary: A simple, focused eBook reader
License: GPLv3+
URL: https://babluboy.github.io/bookworm/
Source:	https://github.com/babluboy/bookworm/archive/%{snapshot_hash}.tar.gz?downloadas=/%{name}-%{version}-%{snapshot_hash}.tar.gz
BuildRequires: cmake, desktop-file-utils, gcc-c++, gettext, granite-devel, gtk3-devel, libgee-devel, poppler-devel, poppler-glib-devel, sqlite-devel, vala, webkitgtk4-devel
Requires: granite, sqlite

%description
Read the books you love without having to worry about different format complexities. This version supports epub, pdf, mobi, cbr, and cbz ebooks.

The bookworm library manager can toggle between a grid view and a list view. Editing the book metadata is possible in both views, however the list view allows sorting of metadata. Filtering is possible using the library's search bar.

When reading, a preference menu allows essential adjustments for text zoom in/out, margin increase/decrease and line width increase/decrease. Bookworm comes with three reading profiles of light, sepia and dark. Multiple pages of the book can be bookmarked. Full screen mode is supported on right click or with the F11 shortcut. An info button provides the current book's information in three tabs: Contents, Bookmarks, and Search Results. A preference button on the header bar provides further customization options.

%prep
%define source_dir %{name}-%{snapshot_hash}
[ -d %{source_dir} ] && rm -rf %{source_dir}
mkdir -p %{source_dir} && \
tar -xvf %{SOURCE0} -C %{source_dir} --strip-components 1
%autosetup -T -D -n %{name}-%{snapshot_hash}

%define cmake_builddir cmake-make


%build
mkdir %{cmake_builddir}
cd %{cmake_builddir}
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ../
%make_build VERBOSE=1

%install
cd %{cmake_builddir}
%make_install DESTDIR=%{buildroot}
cd ..
# b/c upstream calls it com.github.babluboy.bookworm at v1.1.0
cd %{buildroot}%{_bindir}
[ -x %{name} ] || ln -s *%{name} %{name}

%global hicoloriconsdir %{_datadir}/icons/hicolor

%post
touch --no-create %{hicoloriconsdir} &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{hicoloriconsdir} &>/dev/null
    gtk-update-icon-cache %{hicoloriconsdir} &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{hicoloriconsdir} &>/dev/null || :

%files
%defattr(-,root,root,-)
%license LICENSE
%doc AUTHORS CODE_OF_CONDUCT.md COPYING LICENSE README.md
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}/*
%{_datadir}/contractor/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/metainfo/*
%{hicoloriconsdir}/*/apps/*

%changelog
* Sat Jul 28 2018 Honore Doktorr <hdfssk@gmail.com> - 1.1.0-0.1.20180724git3f6d5a8d
- Updated for fedora 28
* Fri Dec 08 2017 Honore Doktorr <hdfssk@gmail.com> - 0.9.1-1
- Initial packaging
